Description

When in the Data Source Manager, under Mesh I can browse to an XMDF but it won't load, with a ".xmdf is not a valid or recognized data

source." error.

When using the file browser in the Data Source Manager XMDFs do not appear at all as they are not an allowed file type.

Do we have the wrong version for native XMDF mesh capabilities or is something wrong without our installation?

Thanks.

History

#1 - 2019-03-12 01:49 PM - Peter Petrik

Can you please 

1) Try with QGIS 3.6

2) attach small sample file for test?

Thanks

#2 - 2019-03-12 01:49 PM - Giovanni Manghi

- Status changed from Open to Feedback

#3 - 2019-03-12 02:48 PM - Lucy Warman

Hi Peter,

I'm asking our IT people if we can get the newer version installed. If we can't (this is not usually an easy this for our IT people to agree to) is there anything

else to check or is this a known issue with v3.4.5?

Thanks

#4 - 2019-03-12 03:41 PM - Peter Petrik

In 3.6 there was complete rewrite of XMDF parser, since now it is lazy-loaded. Without sample data I am not able to tell.

#5 - 2019-03-12 06:28 PM - Lucy Warman
Peter Petrik wrote:

In 3.6 there was complete rewrite of XMDF parser, since now it is lazy-loaded. Without sample data I am not able to tell.

I can give you an XMDF, but it's not the files that are the issue here (if that's the sample data you mean). It would be our installation which doesn't

acknowledge XMDFs at all i.e. they don't appear on the file types list in the mesh window even before I've tried to load one.

#6 - 2019-03-20 05:03 PM - Lucy Warman

- File DataSourceManager.PNG added

Hi Peter,

We managed to try on version 3.6 and we have the same issue, there doesn't appear to be any sort of XMDF support in either version of QGIS. I have

attached an image which shows the list of accepted file types for a mesh file from our version 3.6 data source manager. I don't think this is an issue with

our data, our software isn't allowing any XMDF to be loaded.

Thanks

#7 - 2019-03-20 06:39 PM - Giovanni Manghi

Lucy Warman wrote:

Hi Peter,

We managed to try on version 3.6 and we have the same issue, there doesn't appear to be any sort of XMDF support in either version of QGIS. I

have attached an image which shows the list of accepted file types for a mesh file from our version 3.6 data source manager. I don't think this is an

issue with our data, our software isn't allowing any XMDF to be loaded.

Thanks

the developers is still missing a sample dataset he can test to see what the possible problem is, see https://issues.qgis.org/issues/21565#note-4

#8 - 2019-03-20 07:54 PM - Lucy Warman

Hi,

Xmdfs can be quite large. I'll find a small one. Where can I send it? It won't be small enough to upload via this form.

Can you check whether your version matches ours in the previously attached png?

#9 - 2019-03-20 10:02 PM - Giovanni Manghi

Lucy Warman wrote:

Hi,

2024-03-13 2/3

https://issues.qgis.org/issues/21565#note-4


Xmdfs can be quite large. I'll find a small one. Where can I send it? It won't be small enough to upload via this form.

Can you check whether your version matches ours in the previously attached png?

use dropbox/google drive/etc and link it here.

#10 - 2019-03-21 07:32 AM - Peter Petrik

File DataSourceManager.PNG added

The XMDF file represents datasets. That means data that sits on top of the mesh frame. In this dialog you mentions, you need to select 2DM file, not XMDF

file. Only when 2dm is loaded, you need to load XMDF on top of it from layer properties menu. please see 

https://www.tuflow.com/forum/index.php?/topic/1749-qgis-34-and-tuflow-results/

Files

DataSourceManager.PNG 212 KB 2019-03-20 Lucy Warman
